Bug 795425 - file does not recognize qemu qed images
Summary: file does not recognize qemu qed images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.2
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 795709
TreeView+ depends on / blocked
 
Reported: 2012-02-20 13:49 UTC by Marko Myllynen
Modified: 2012-10-04 12:21 UTC (History)
1 user (show)

Fixed In Version: file-5.04-14.el6
Doc Type: Bug Fix
Doc Text:
Cause: File did not contain magic pattern to detect qed images. Consequence: File was not able to detect qed images. Fix: Magic pattern to detect qed images have been added. Result: File now detects qed images as expected.
Clone Of:
: 795709 (view as bug list)
Environment:
Last Closed: 2012-10-04 12:21:25 UTC


Attachments (Terms of Use)
proposed patch (418 bytes, patch)
2012-02-21 11:09 UTC, Jan Kaluža
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1339 normal SHIPPED_LIVE file bug fix update 2012-10-04 16:15:20 UTC

Description Marko Myllynen 2012-02-20 13:49:34 UTC
Description of problem:
$ qemu-img create -f qed qed.img 1M    
Formatting 'qed.img', fmt=qed size=1048576 cluster_size=0 table_size=0 
$ qemu-img create -f qcow2 qcow2.img 1M
Formatting 'qcow2.img', fmt=qcow2 size=1048576 encryption=off cluster_size=65536 
$ file qed.img 
qed.img: data
$ file qcow2.img 
qcow2.img: Qemu Image, Format: Qcow , Version: 2

Version-Release number of selected component (if applicable):
file-5.04-11.el6.x86_64

Comment 1 Jan Kaluža 2012-02-21 11:09:26 UTC
Created attachment 564652 [details]
proposed patch

Comment 3 Suzanne Yeghiayan 2012-03-07 21:27:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.

Comment 7 Jan Kaluža 2012-08-14 07:32:00 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: File did not contain magic pattern to detect qed images.
Consequence: File was not able to detect qed images.
Fix: Magic pattern to detect qed images have been added.
Result: File now detects qed images as expected.

Comment 11 errata-xmlrpc 2012-10-04 12:21:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1339.html


Note You need to log in before you can comment on or make changes to this bug.